package com.citygis.web.controller;


import com.citygis.common.annotation.Log;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.common.enums.BusinessType;
import com.citygis.common.core.domain.entity.TabThirdPartyManage;
import com.citygis.web.service.ITabThirdPartyManageService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 第三方系统管理 前端控制器
 * </p>
 *
 * @author citygis
 * @since 2025-02-25
 */
@Api(tags = "第三方系统管理")
@RestController
public class TabThirdPartyManageController {

    @Resource
    ITabThirdPartyManageService tabThirdPartyManageService;


    @Log(title = "第三方系统管理-获取系统CODE", businessType = BusinessType.OTHER)
    @ApiOperation("获取系统CODE")
    @PostMapping("/get-sys-code")
    public AjaxResult getSysCode(@RequestBody TabThirdPartyManage tabThirdPartyManage) {
        return tabThirdPartyManageService.getSysCode(tabThirdPartyManage);
    }

//    @Log(title = "第三方系统管理-获取系统TOKEN", businessType = BusinessType.OTHER)
//    @ApiOperation("获取系统TOKEN")
//    @PostMapping("/get-sys-token")
//    public AjaxResult getSysToken(@RequestBody TabThirdPartyManage tabThirdPartyManage) {
//        return tabThirdPartyManageService.getSysToken(tabThirdPartyManage);
//    }

}

