package com.citygis.web.controller.system;

import com.citygis.common.annotation.Log;
import com.citygis.common.core.controller.BaseController;
import com.citygis.common.core.page.TableDataInfo;
import com.citygis.common.enums.BusinessType;
import com.citygis.system.service.ISysUserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @Author: zyl
 * @CreateTime: 2025-02-25
 * @Description: 第三方系统同步本系统用户接口
 * @Version: 1.0
 */
@Api(tags = "第三方系统同步本系统用户接口")
@RestController
@RequestMapping("/system/user/sys-user")
public class SysUserSyncController extends BaseController {

    @Resource
    ISysUserService sysUserService;

    @Log(title = "获取用户", businessType = BusinessType.SELECT)
    @ApiOperation("获取用户")
    @GetMapping("/list")
    public TableDataInfo getAllUser(@RequestParam(value = "startTime", required = false) String startTime,
                                    @RequestParam(value = "accountNo", required = false) String accountNo,
                                    @RequestParam(value = "identityType", required = false) String identityType) {
        startPage();
        return getDataTable(sysUserService.getAllUserSync(startTime, accountNo, identityType));
    }

}
