package com.citygis.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigInteger;

/**
 * <p>
 * 第三方系统管理
 * </p>
 *
 * @author citygis
 * @since 2025-02-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("TAB_THIRD_PARTY_MANAGE")
@ApiModel(value = "TabThirdPartyManage对象", description = "第三方系统管理")
public class TabThirdPartyManage implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableField("ID")
    private BigInteger id;

    @ApiModelProperty(value = "第三方系统名称")
    @TableField("SYSTEM_NAME")
    private String systemName;

    @ApiModelProperty(value = "第三方系统地址")
    @TableField("SYSTEM_URL")
    private String systemUrl;

    @ApiModelProperty(value = "系统注册CODE")
    @TableField("CLIENT_ID")
    private String clientId;

    @ApiModelProperty(value = "发起ip地址")
    @TableField("REDIRECT_URL")
    private String redirectUrl;

    @ApiModelProperty(value = "创建时间")
    @TableField("CREATE_TIME")
    private String createTime;

    @ApiModelProperty(value = "系统CODE")
    @TableField(exist = false)
    private String sysCode;

    @ApiModelProperty(value = "系统密钥")
    @TableField("CLIENT_SECRET")
    private String clientSecret;


}
